///<市场分割、双重市场激励与企业创新>stata程序///

1.///表1基准回归结果///
xtreg  inno     segm lnexp lnsale_n lntfp lnk soe hhi age  i.dqid i.hyid i.year,fe  cluster(panelid)
est store m1
xtreg  lnpatent segm lnexp lnsale_n lntfp lnk soe hhi age  i.dqid i.hyid i.year,fe  cluster(panelid)
est store m2
xtivreg  inno      lntfp lnk  hhi  soe age  i.hyid i.year (segm lnexp lnsale_n=lnhigh  gdpzs_f lngdp97_h) ,fe   first  
est store m3
xtivreg  lnpatent  lntfp lnk  hhi  soe age  i.hyid i.year (segm lnexp lnsale_n=lnhigh  gdpzs_f lngdp97_h) ,fe   first 
est store m4
esttab m1 m2 m3 m4 using table.csv ,b(%9.4f) r2  t mtitle(m1 m2 m3 m4) obslast star (* 0.1 ** 0.05 *** 0.01) compress nogap k(segm lnexp lnsale_n)a


2.///表2调节效应检验///
xtreg  inno     segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.diqid i.hyid i.year ,fe cluster(panelid)
est store m1
xtreg  lnpatent segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.diqid i.hyid i.year ,fe cluster(panelid)
est store m2
xtivreg  inno     lntfp lnk hhi soe age  i.hyid i.year (segm lnexp segm_lnexp  lnsale_n segm_lnsale_n =lnhigh  gdpzs_f lnhigh_gdpzs_f   lngdp97_h lnhigh_lngdp97) ,fe   first
est store m3
xtivreg  lnpatent lntfp lnk hhi soe age  i.hyid i.year (segm lnexp segm_lnexp  lnsale_n segm_lnsale_n =lnhigh  gdpzs_f lnhigh_gdpzs_f   lngdp97_h lnhigh_lngdp97) ,fe   first
est store m4
esttab m1 m2 m3 m4 using table.csv ,b(%9.4f) r2  t mtitle(m1 m2 m3 m4) obslast star (* 0.1 ** 0.05 *** 0.01) compress nogap k(segm lnexp lnsale_n segm_lnexp segm_lnsale_n )a



3.///表3出口替代效应检验///
xtreg  exp   segm lntfp lnk soe hhi age i.dqid i.hyid i.year,fe cluster(panelid)
est store m1
xtreg  lnexp segm lntfp lnk soe hhi age i.dqid i.hyid i.year,fe cluster(panelid)
est store m2
xtreg  lnsale_n exp  segm lntfp lnk soe hhi age i.dqid i.hyid i.year,fe cluster(panelid)  
est store m3
xtreg  lnsale_n lnexp  segm lntfp lnk soe hhi age i.dqid i.hyid i.year,fe cluster(panelid)  
est store m4
xtivreg  lnexp    lntfp lnk soe hhi age  i.hyid  i.year (segm=lnhigh),fe   first
est store m5
xtivreg  lnsale_n lntfp lnk soe hhi age  i.hyid i.year (lnexp=gdpzs_f),fe   first
est store m6
esttab m1 m2 m3 m4 m5 m6 using table.csv ,b(%9.4f) r2  t mtitle(m1 m2 m3 m4 m5 m6) obslast star (* 0.1 ** 0.05 *** 0.01) compress nogap k(segm exp lnexp)a

4.///表4分不同市场扩张类型检验///
xtreg  lnpatent segm lnexp  lnsale_n  sckz_lnexp sckz_lnsale lntfp lnk soe hhi age i.dqid i.hyid i.year ,fe   cluster(panelid)
est store m1
xtreg  lnpatent segm lnexp  lnsale_n  scss_lnsale scss_lnexp lntfp lnk soe hhi age i.dqid i.hyid i.year ,fe   cluster(panelid)
est store m2
xtreg  lnpatent segm lnexp  lnsale_n  cktd_lnexp cktd_lnsale lntfp lnk soe hhi age i.dqid i.hyid i.year ,fe   cluster(panelid)
est store m3
xtreg  lnpatent segm lnexp  lnsale_n  nxtd_lnexp nxtd_lnsale lntfp lnk soe hhi age i.dqid i.hyid i.year ,fe   cluster(panelid)
est store m4
esttab m1 m2 m3 m4 m5 m6 using table.csv ,b(%9.4f) r2  t mtitle(m1 m2 m3 m4 m5 m6) obslast star (* 0.1 ** 0.05 *** 0.01) compress nogap k(segm  lnexp  lnsale_n  sckz_lnexp scss_lnexp cktd_lnexp nxtd_lnexp sckz_lnsale scss_lnsale cktd_lnsale nxtd_lnsale)a

5.///表5分要素密集度的异质性检验///
gen tech_dum=0
replace tech_dum=1 if hyid==27
replace tech_dum=1 if hyid==39
replace tech_dum=1 if hyid==40
replace tech_dum=1 if hyid==41
replace tech_dum=1 if hyid==42
gen   cap_dum=0
replace cap_dum=1 if hyid==25
replace cap_dum=1 if hyid==26
replace cap_dum=1 if hyid==28
replace cap_dum=1 if hyid==29
replace cap_dum=1 if hyid==30
replace cap_dum=1 if hyid==31
replace cap_dum=1 if hyid==32
replace cap_dum=1 if hyid==33
replace cap_dum=1 if hyid==34
replace cap_dum=1 if hyid==35
replace cap_dum=1 if hyid==36
replace cap_dum=1 if hyid==37
gen     lab_dum=0
replace lab_dum=1 if tech_dum==0 & cap_dum==0

xtreg    lnpatent segm lnexp lnsale_n lntfp lnk soe hhi   i.dqid i.hyid i.year  if  tech_dum==1 ,fe  cluster(panelid)
est store m1
xtreg    lnpatent segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.dqid i.hyid i.year  if  tech_dum==1 ,fe  cluster(panelid)
est store m2
xtreg    lnpatent segm lnexp lnsale_n lntfp lnk soe hhi   i.dqid i.hyid i.year  if   cap_dum==1,fe  cluster(panelid)
est store m3
xtreg    lnpatent segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.dqid i.hyid i.year  if   cap_dum==1,fe  cluster(panelid)
est store m4
xtreg    lnpatent segm lnexp lnsale_n lntfp lnk soe hhi   i.dqid i.hyid i.year  if   lab_dum==1,fe  cluster(panelid)
est store m5
xtreg    lnpatent segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.dqid i.hyid i.year  if   lab_dum==1,fe  cluster(panelid)
est store m6
esttab m1 m2 m3  m4 m5  m6 using table.csv ,b(%9.4f) r2  t mtitle(m1 m2 m3 m4  m5 m6 ) obslast star (* 0.1 ** 0.05 *** 0.01) compress nogap k(segm lnexp lnsale_n segm_lnexp   segm_lnsale_n    )a

6.///表6分不同创新类型的异质性检验///
replace lnpatent=log(1+num_ad_F )
replace lnpatent=0  if  lnpatent==.

xtreg    lnpatent segm lnexp lnsale_n lntfp lnk soe hhi   i.dqid i.hyid i.year ,fe  cluster(panelid)
est store m1
xtreg    lnpatent segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.dqid i.hyid i.year,fe  cluster(panelid)
est store m2
replace lnpatent=log(1+num_ad_S+num_ad_W )
replace lnpatent=0  if  lnpatent==.
xtreg    lnpatent segm lnexp lnsale_n lntfp lnk soe hhi   i.dqid i.hyid i.year,fe  cluster(panelid)
est store m3
xtreg    lnpatent segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.dqid i.hyid i.year,fe  cluster(panelid)
est store m4

g ratio=num_ad_F/( num_ad_F +num_ad_S +num_ad_W)
replace ratio=0   if   ratio==.

xtreg    ratio  segm lnexp lnsale_n lntfp lnk soe hhi   i.dqid i.hyid i.year,fe  cluster(panelid)
est store m3
xtreg    ratio  segm lnexp segm_lnexp lnsale_n segm_lnsale_n  lntfp lnk soe hhi age  i.dqid i.hyid i.year,fe  cluster(panelid)
est store m4

esttab m1 m2 m3  m4 m5  m6 using table.csv ,b(%9.3f) r2  t mtitle(m1 m2 m3 m4  m5 m6) obslast star (* 0.1 ** 0.05 *** 0.01) compress nogap k(segm lnexp lnsale_n segm_lnexp   segm_lnsale_n    )a





